SumiTomohikoの日記 このページをアンテナに追加 RSSフィード

2007-01-29

[Apache][Python][PHP][SQLite] SQLiteを使用するとき、mod_phpとmod_pythonは共存できない。

環境

この記事の内容は、Ubuntu 6.10, Apache 2.0.55, Python 2.4.4, PHP 5.1.6, SQLite 3.3.5で確認しました。

現象

mod_pythonを通してSQLiteデータベースにアクセスすると、「対応していないデータベースの形式である」という旨のエラーになります(メモをとるのを忘れていました、ごめんなさい)。

原因

php5_moduleが読み込まれていると、mod_pythonからSQLiteにアクセスできなくなる、らしいです。

対策

次のうち、いずれかを行います。

  1. php5_moduleが読み込まれないようにします。
  2. mod_python以外の手段を講じます。
  3. データベースSQLite以外にします。

詳細

id:veryberry_cafe:20061209:1165678411

http://lists.edgewall.com/archive/trac/2006-April/007686.html

http://www.gossamer-threads.com/lists/trac/users/16954?page=last

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証

トラックバック - http://d.hatena.ne.jp/SumiTomohiko/20070129/1170079424